POST /_system/auditlogs

Search and retrieve system audit logs (requires view_audit_logs or is_root_user permission)

Search and retrieve system audit logs (requires view_audit_logs or is_root_user permission)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
countoptionalboolean
4
Return count instead of results
filtersoptionalobject
{}
Additional search filters
limitoptionalinteger
50
Maximum number of results
offsetoptionalinteger
0
Number of results to skip
queryoptionalstring
"example"
Search query string
sortoptionalarray
[{}]
[
  {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "action": "core_upgrades",
    "category": "modified_version",
    "data": {
      "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "retries": 0
    },
    "entity": 1,
    "user": {
      "_meta": {
        "cms": 1782080295147,
        "created": 1782080295,
        "entity": 1,
        "expiry": -1,
        "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
        "removed": 0,
        "ums": 1782166695813,
        "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
        "updated": 1782166695
      },
      "firstname": "Joe",
      "lastname": "Doe",
      "username": "joe"
    }
  }
]
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
auditlogs_createRequired scope: auditlogs_create

Back to Audit Logs Return to the Audit Logs category to view other endpoints All API Categories Browse all available API categories